stateTransition Struct Reference
State Machine header.

Event table holds events that can generate a state transition. More...

`#include <FsmFramework.h>`

## Data Fields

int32_t | s32EventId
bCallbackGuard_t | bGuardCb
vCallback_t | vTransitionCb
int32_t | s32NextStateId

## Detailed Description

Event table holds events that can generate a state transition.

An entry for the event table holds the event, that generates a state transition as well as callbacks for the guard check and the transition function. A transition between two states can only be done, if an event occurs and the guard is true, otherwise the state won't change. If both are true, the transition function will be called, if there is one and the state changes to the nextStateId. A Table should only hold events for one state, so each state should have it's own event table.

The documentation for this struct was generated from the following file:

- FsmFramework.h